"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.POST = exports.GET = void 0;
const rewards_settings_1 = require("../../../models/rewards-settings");
const GET = async (req, res) => {
    const manager = req.scope.resolve("manager");
    const rewardsRepo = manager.getRepository(rewards_settings_1.RewardsSettings);
    const results = await rewardsRepo.find();
    return res.json(results[0]);
};
exports.GET = GET;
const POST = async (req, res) => {
    const manager = req.scope.resolve("manager");
    const rewardsSettingRepo = manager.getRepository(rewards_settings_1.RewardsSettings);
    const { amount, is_rewards_active } = req.body;
    try {
        let rewardSettings = await rewardsSettingRepo.find()[0];
        console.log("ssssssss", rewardSettings);
        if (!rewardSettings) {
            rewardSettings = rewardsSettingRepo.create({
                amount,
                is_rewards_active,
            });
        }
        else {
            rewardSettings.amount = amount;
            rewardSettings.is_rewards_active = is_rewards_active;
        }
        const result = await rewardsSettingRepo.save(rewardSettings);
        console.log("ssssssssa", result);
        return res.status(201).json({
            message: "Reward settings updated successfully",
            rewardsSettings: result,
        });
    }
    catch (error) {
        console.error("Error saving reward settings:", error);
        return res.status(500).json({
            message: "Internal server error",
        });
    }
};
exports.POST = POST;
